VDB-130984 · CVE-2019-6453 · Qualys 91517

mIRC bis 7.54 URI Protocol Argument erweiterte Rechte

EintraganpassenHistoryDiffjsonxmlCTI
CVSS Meta Temp ScoreAktueller Exploitpreis (≈)CTI Interest Score
7.7$0-$5k0.00

In mIRC bis 7.54 (Chat Software) wurde eine Schwachstelle ausgemacht. Sie wurde als kritisch eingestuft. Hierbei betrifft es unbekannter Programmcode der Komponente URI Protocol Handler. Durch das Manipulieren durch Argument kann eine erweiterte Rechte-Schwachstelle ausgenutzt werden. CWE definiert das Problem als CWE-77. Das hat Auswirkungen auf Vertraulichkeit, Integrität und Verfügbarkeit. CVE fasst zusammen:

mIRC before 7.55 allows remote command execution by using argument injection through custom URI protocol handlers. The attacker can specify an irc:// URI that loads an arbitrary .ini file from a UNC share pathname. Exploitation depends on browser-specific URI handling (Chrome is not exploitable).

Entdeckt wurde das Problem am 18.02.2019. Die Schwachstelle wurde am 18.02.2019 (Website) an die Öffentlichkeit getragen. Das Advisory kann von exploit-db.com heruntergeladen werden. Eine eindeutige Identifikation der Schwachstelle wird seit dem 16.01.2019 mit CVE-2019-6453 vorgenommen. Die Umsetzung des Angriffs kann dabei über das Netzwerk erfolgen. Um eine Ausnutzung durchzusetzen, muss keine spezifische Authentisierung umgesetzt werden. Es sind weder technische Details noch ein Exploit zur Schwachstelle bekannt. Es muss davon ausgegangen werden, dass ein Exploit zur Zeit etwa USD $0-$5k kostet (Preisberechnung vom 11.05.2020).

Der kommerzielle Vulnerability Scanner Qualys bietet das Plugin 91517 (mIRC Remote Code Execution Vulnerability) zur Prüfung der Schwachstelle an.

Es sind keine Informationen bezüglich Gegenmassnahmen bekannt. Der Einsatz eines alternativen Produkts bietet sich im Zweifelsfall an.

Produktinfoanpassen

Typ

Name

CPE 2.3infoanpassen

CPE 2.2infoanpassen

CVSSv3infoanpassen

VulDB Meta Base Score: 7.7
VulDB Meta Temp Score: 7.7

VulDB Base Score: 7.3
VulDB Temp Score: 7.3
VulDB Vector: 🔍
VulDB Zuverlässigkeit: 🔍

NVD Base Score: 8.1
NVD Vector: 🔍

CVSSv2infoanpassen

AVACAuCIA
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
VektorKomplexitätAuthentisierungVertraulichkeitIntegritätVerfügbarkeit
freischaltenfreischaltenfreischaltenfreischaltenfreischaltenfreischalten
freischaltenfreischaltenfreischaltenfreischaltenfreischaltenfreischalten
freischaltenfreischaltenfreischaltenfreischaltenfreischaltenfreischalten

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Zuverlässigkeit: 🔍

NVD Base Score: 🔍

Exploitinginfoanpassen

Klasse: Erweiterte Rechte
CWE: CWE-77
ATT&CK: Unbekannt

Lokal: Nein
Remote: Ja

Verfügbarkeit: 🔍
Status: Nicht definiert

Preisentwicklung: 🔍
Aktuelle Preisschätzung: 🔍

0-Dayfreischaltenfreischaltenfreischaltenfreischalten
Heutefreischaltenfreischaltenfreischaltenfreischalten

Qualys ID: 🔍
Qualys Name: 🔍

Threat Intelligenceinfoanpassen

Interesse: 🔍
Aktive Akteure: 🔍
Aktive APT Gruppen: 🔍

Gegenmassnahmeninfoanpassen

Empfehlung: keine Massnahme bekannt
Status: 🔍

0-Day Time: 🔍

Timelineinfoanpassen

16.01.2019 🔍
18.02.2019 +33 Tage 🔍
18.02.2019 +0 Tage 🔍
19.02.2019 +1 Tage 🔍
11.05.2020 +447 Tage 🔍

Quelleninfoanpassen

Advisory: exploit-db.com
Status: Nicht definiert

CVE: CVE-2019-6453 (🔍)

Eintraginfoanpassen

Erstellt: 19.02.2019 08:11
Aktualisierung: 11.05.2020 09:52
Anpassungen: (2) vulnerability_discoverydate advisory_url
Komplett: 🔍

Kommentare

Are you interested in using VulDB?

Download the whitepaper to learn more about our service!